Returns lite order models list by order tx hash
curl --request GET \
--url https://dln-api.debridge.finance/api/Transaction/{transactionHash}/liteModelsimport requests
url = "https://dln-api.debridge.finance/api/Transaction/{transactionHash}/liteModels"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://dln-api.debridge.finance/api/Transaction/{transactionHash}/liteModels', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"orderId": {
"bytesValue": "AA4r8JSgZRie2pvbP0vsvMKR1Rz9uWFc2cC+A9msUVI=",
"bytesArrayValue": "[0,14,43,240,148,160,101,24,158,218,155,219,63,75,236,188,194,145,213,28,253,185,97,92,217,192,190,3,217,172,81,82]",
"stringValue": "0x000e2bf094a065189eda9bdb3f4becbcc291d51cfdb9615cd9c0be03d9ac5152"
},
"creationTimestamp": 0,
"state": "Fulfilled",
"externalCallState": "NoExtCall",
"makerOrderNonce": 40,
"makerSrc": {
"Base64Value": "Zj3BXTwaxj/xLkWraP6j8KiDwlE=",
"bytesArrayValue": "[102,61,193,93,60,26,198,63,241,46,69,171,104,254,163,240,168,131,194,81]",
"stringValue": "0x663dc15d3c1ac63ff12e45ab68fea3f0a883c251"
},
"giveOffer": {
"chainId": {
"bytesValue": "AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAIk=",
"bytesArrayValue": "[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,137]",
"bigIntegerValue": 137,
"stringValue": "137"
},
"tokenAddress": {
"Base64Value": "J5G8ofLeRmHtiKMMmaepRJqoQXQ=",
"bytesArrayValue": "[39,145,188,161,242,222,70,97,237,136,163,12,153,167,169,68,154,168,65,116]",
"stringValue": "0x2791bca1f2de4661ed88a30c99a7a9449aa84174"
},
"amount": {
"bytesValue": "AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAKNSk=",
"bytesArrayValue": "[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,53,41]",
"bigIntegerValue": 668969,
"stringValue": "668969"
}
},
"receiverDst": {
"Base64Value": "sh3+oBDpOfS7DwyzYTUphKjGrA0=",
"bytesArrayValue": "[178,29,254,160,16,233,57,244,187,15,12,179,97,53,41,132,168,198,172,13]",
"stringValue": "0xb21dfea010e939f4bb0f0cb361352984a8c6ac0d"
},
"takeOffer": {
"chainId": {
"bytesValue": "AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAqGo=",
"bytesArrayValue": "[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,168,106]",
"bigIntegerValue": 43114,
"stringValue": "43114"
},
"tokenAddress": {
"Base64Value": "AAAAAAAAAAAAAAAAAAAAAAAAAAA=",
"bytesArrayValue": "[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0]",
"stringValue": "0x0000000000000000000000000000000000000000"
},
"amount": {
"bytesValue": "AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAABD7YnoGwAA=",
"bytesArrayValue": "[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,251,98,122,6,192,0]",
"bigIntegerValue": 4780000000000000,
"stringValue": "4780000000000000"
}
},
"givePatchAuthoritySrc": {
"Base64Value": "sh3+oBDpOfS7DwyzYTUphKjGrA0=",
"bytesArrayValue": "[178,29,254,160,16,233,57,244,187,15,12,179,97,53,41,132,168,198,172,13]",
"stringValue": "0xb21dfea010e939f4bb0f0cb361352984a8c6ac0d"
},
"orderAuthorityAddressDst": {
"Base64Value": "sh3+oBDpOfS7DwyzYTUphKjGrA0=",
"bytesArrayValue": "[178,29,254,160,16,233,57,244,187,15,12,179,97,53,41,132,168,198,172,13]",
"stringValue": "0xb21dfea010e939f4bb0f0cb361352984a8c6ac0d"
},
"allowedTakerDst": {
"Base64Value": null,
"bytesArrayValue": "",
"stringValue": null
},
"allowedCancelBeneficiarySrc": {
"Base64Value": null,
"bytesArrayValue": "",
"stringValue": null
},
"externalCallData": null,
"extcallExecutionProgress": null,
"rawOrderMetadataHex": null,
"referralCode": 2,
"orderCreationTransactionHash": {
"stringValue": "0x23c83d7f578c3b54c4b10e884f3e939abca118441ff733a83e62d59b44d70267",
"bytesValue": "I8g9f1eMO1TEsQ6ITz6TmryhGEQf9zOoPmLVm0TXAmc=",
"bytesArrayValue": "[35,200,61,127,87,140,59,84,196,177,14,136,79,62,147,154,188,161,24,68,31,247,51,168,62,98,213,155,68,215,2,103]"
},
"orderFulfilledTransactionHash": {
"stringValue": "0x4af3a086ff58b0d7f2dc69810a52bb53efcbde2ea0081f3222d1b844375af4b7",
"bytesValue": "SvOghv9YsNfy3GmBClK7U+/L3i6gCB8yItG4RDda9Lc=",
"bytesArrayValue": "[74,243,160,134,255,88,176,215,242,220,105,129,10,82,187,83,239,203,222,46,160,8,31,50,34,209,184,68,55,90,244,183]"
}
}
]{
"message": "<string>",
"errorCode": 123
}{
"message": "<string>",
"errorCode": 123
}{
"message": "<string>",
"errorCode": 123
}Transaction
Returns lite order models list by order tx hash
GET
/
api
/
Transaction
/
{transactionHash}
/
liteModels
Returns lite order models list by order tx hash
Path Parameters
hash of a transaction to search events in
Response
OK
Unique identifier of the order
- Option 1
- Option 2
Show child attributes
Show child attributes
Timestamp of this event's CreatedOrderSrcEvent's block\slot
Available options:
None, Created, Fulfilled, SentUnlock, OrderCancelled, SentOrderCancel, ClaimedUnlock, ClaimedOrderCancel Available options:
NoExtCall, AwaitingOrderFulfillment, AwaitingExecution, Executing, Completed, Failed, Cancelled, OrderCancelled Consecutive unique number of the order for given user in given chain
Show child attributes
Show child attributes
Info about an offer
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Info about an offer
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
External call data
- Option 1
- Option 2
Show child attributes
Show child attributes
Describes progress of ExternalCall execution
Show child attributes
Show child attributes
Order metadata in hex format
Referral program code
Transaction Hash property
Show child attributes
Show child attributes
Transaction Hash property
Show child attributes
Show child attributes
⌘I